{{/*
Common labels
*/}}
{{- define "cognito.labels" -}}
{{ include "cognito-utils.labels" . }}
{{- end -}}

{{/*
Selector labels
*/}}
{{- define "cognito.selectorLabels" -}}
{{ include "cognito-utils.selectorLabels" . }}
{{- end -}}

{{/*
   Defines the ouput params for -outputs config map
*/}}
{{- define "cognito.outputConfigMapParams" -}}
arnConfigMap: "{{ include "cognito-utils.namingPrefix" . }}-arn"
{{- end -}}


{{/*
     Cognito Identity pool name
*/}}
{{- define "cognito.identityPoolName" -}}
{{- if .Values.identityPoolName }}
      {{- .Values.identityPoolName }}
{{- else }}
      {{- include "cognito-utils.externalNamingPrefix" . }}
{{- end }}
{{- end -}}
